io.vertx.core.file

## Class OpenOptions

- java.lang.Object
- - io.vertx.core.file.OpenOptions

-     public class OpenOptions
      extends Object

  Describes how an `AsyncFile` should be opened.
  Author:
    Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DEFAULT_CREATE`
    `static boolean` | `DEFAULT_CREATENEW`
    `static boolean` | `DEFAULT_DELETEONCLOSE`
    `static boolean` | `DEFAULT_DSYNC`
    `static String` | `DEFAULT_PERMS`
    `static boolean` | `DEFAULT_READ`
    `static boolean` | `DEFAULT_SPARSE`
    `static boolean` | `DEFAULT_SYNC`
    `static boolean` | `DEFAULT_TRUNCATEEXISTING`
    `static boolean` | `DEFAULT_WRITE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenOptions()` Default constructor
    `OpenOptions(JsonObject json)` Constructor to create options from JSON
    `OpenOptions(OpenOptions other)` Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPerms()` Get the permissions string to be used if creating a file
    `boolean` | `isCreate()` Should the file be created if it does not already exist?
    `boolean` | `isCreateNew()` Should the file be created if and the open fail if it already exists?
    `boolean` | `isDeleteOnClose()` Should the file be deleted when it's closed, or the JVM is shutdown.
    `boolean` | `isDsync()` If true then every write to the file's content will be written synchronously to the underlying hardware.
    `boolean` | `isRead()` Is the file to opened for reading?
    `boolean` | `isSparse()` Set whether a hint should be provided that the file to created is sparse
    `boolean` | `isSync()` If true then every write to the file's content and metadata will be written synchronously to the underlying hardware.
    `boolean` | `isTruncateExisting()` If the file exists and is opened for writing should the file be truncated to zero length on open?
    `boolean` | `isWrite()` Is the file to opened for writing?
    `OpenOptions` | `setCreate(boolean create)` Set whether the file should be created if it does not already exist.
    `OpenOptions` | `setCreateNew(boolean createNew)` Set whether the file should be created and fail if it does exist already.
    `OpenOptions` | `setDeleteOnClose(boolean deleteOnClose)` Set whether the file should be deleted when it's closed, or the JVM is shutdown.
    `OpenOptions` | `setDsync(boolean dsync)` Set whether every write to the file's content ill be written synchronously to the underlying hardware.
    `OpenOptions` | `setPerms(String perms)` Set the permissions string
    `OpenOptions` | `setRead(boolean read)` Set whether the file is to be opened for reading
    `OpenOptions` | `setSparse(boolean sparse)` Set whether a hint should be provided that the file to created is sparse
    `OpenOptions` | `setSync(boolean sync)` Set whether every write to the file's content and meta-data will be written synchronously to the underlying hardware.
    `OpenOptions` | `setTruncateExisting(boolean truncateExisting)` Set whether the file should be truncated to zero length on opening if it exists and is opened for write
    `OpenOptions` | `setWrite(boolean write)` Set whether the file is to be opened for writing

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_PERMS

          public static final String DEFAULT_PERMS

    - #### DEFAULT_READ

          public static final boolean DEFAULT_READ

      See Also:
        Constant Field Values

    - #### DEFAULT_WRITE

          public static final boolean DEFAULT_WRITE

      See Also:
        Constant Field Values

    - #### DEFAULT_CREATE

          public static final boolean DEFAULT_CREATE

      See Also:
        Constant Field Values

    - #### DEFAULT_CREATENEW

          public static final boolean DEFAULT_CREATENEW

      See Also:
        Constant Field Values

    - #### DEFAULT_DSYNC

          public static final boolean DEFAULT_DSYNC

      See Also:
        Constant Field Values

    - #### DEFAULT_SYNC

          public static final boolean DEFAULT_SYNC

      See Also:
        Constant Field Values

    - #### DEFAULT_DELETEONCLOSE

          public static final boolean DEFAULT_DELETEONCLOSE

      See Also:
        Constant Field Values

    - #### DEFAULT_TRUNCATEEXISTING

          public static final boolean DEFAULT_TRUNCATEEXISTING

      See Also:
        Constant Field Values

    - #### DEFAULT_SPARSE

          public static final boolean DEFAULT_SPARSE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OpenOptions

          public OpenOptions()

      Default constructor

    - #### OpenOptions

          public OpenOptions(OpenOptions other)

      Copy constructor
      Parameters:
        `other` - the options to copy

    - #### OpenOptions

          public OpenOptions(JsonObject json)

      Constructor to create options from JSON
      Parameters:
        `json` - the JSON

  - ### Method Detail

    - #### getPerms

          public String getPerms()

      Get the permissions string to be used if creating a file
      Returns:
        the permissions string

    - #### setPerms

          public OpenOptions setPerms(String perms)

      Set the permissions string
      Parameters:
        `perms` - the permissions string
      Returns:
        a reference to this, so the API can be used fluently

    - #### isRead

          public boolean isRead()

      Is the file to opened for reading?
      Returns:
        true if to be opened for reading

    - #### setRead

          public OpenOptions setRead(boolean read)

      Set whether the file is to be opened for reading
      Parameters:
        `read` - true if the file is to be opened for reading
      Returns:
        a reference to this, so the API can be used fluently

    - #### isWrite

          public boolean isWrite()

      Is the file to opened for writing?
      Returns:
        true if to be opened for writing

    - #### setWrite

          public OpenOptions setWrite(boolean write)

      Set whether the file is to be opened for writing
      Parameters:
        `write` - true if the file is to be opened for writing
      Returns:
        a reference to this, so the API can be used fluently

    - #### isCreate

          public boolean isCreate()

      Should the file be created if it does not already exist?
      Returns:
        true if the file should be created if it does not already exist

    - #### setCreate

          public OpenOptions setCreate(boolean create)

      Set whether the file should be created if it does not already exist.
      Parameters:
        `create` - true if the file should be created if it does not already exist
      Returns:
        a reference to this, so the API can be used fluently

    - #### isCreateNew

          public boolean isCreateNew()

      Should the file be created if and the open fail if it already exists?
      Returns:
        true if the file should be created if and the open fail if it already exists.

    - #### setCreateNew

          public OpenOptions setCreateNew(boolean createNew)

      Set whether the file should be created and fail if it does exist already.
      Parameters:
        `createNew` - true if the file should be created or fail if it exists already
      Returns:
        a reference to this, so the API can be used fluently

    - #### isDeleteOnClose

          public boolean isDeleteOnClose()

      Should the file be deleted when it's closed, or the JVM is shutdown.
      Returns:
        true if the file should be deleted when it's closed or the JVM shutdown

    - #### setDeleteOnClose

          public OpenOptions setDeleteOnClose(boolean deleteOnClose)

      Set whether the file should be deleted when it's closed, or the JVM is shutdown.
      Parameters:
        `deleteOnClose` - whether the file should be deleted when it's closed, or the JVM is shutdown.
      Returns:
        a reference to this, so the API can be used fluently

    - #### isTruncateExisting

          public boolean isTruncateExisting()

      If the file exists and is opened for writing should the file be truncated to zero length on open?
      Returns:
        true if the file exists and is opened for writing and the file be truncated to zero length on open

    - #### setTruncateExisting

          public OpenOptions setTruncateExisting(boolean truncateExisting)

      Set whether the file should be truncated to zero length on opening if it exists and is opened for write
      Parameters:
        `truncateExisting` - true if the file should be truncated to zero length on opening if it exists and is opened for write
      Returns:
        a reference to this, so the API can be used fluently

    - #### isSparse

          public boolean isSparse()

      Set whether a hint should be provided that the file to created is sparse
      Returns:
        true if a hint should be provided that the file to created is sparse

    - #### setSparse

          public OpenOptions setSparse(boolean sparse)

      Set whether a hint should be provided that the file to created is sparse
      Parameters:
        `sparse` - true if a hint should be provided that the file to created is sparse
      Returns:
        a reference to this, so the API can be used fluently

    - #### isSync

          public boolean isSync()

      If true then every write to the file's content and metadata will be written synchronously to the underlying hardware.
      Returns:
        true if sync

    - #### setSync

          public OpenOptions setSync(boolean sync)

      Set whether every write to the file's content and meta-data will be written synchronously to the underlying hardware.
      Parameters:
        `sync` - true if sync
      Returns:
        a reference to this, so the API can be used fluently

    - #### isDsync

          public boolean isDsync()

      If true then every write to the file's content will be written synchronously to the underlying hardware.
      Returns:
        true if sync

    - #### setDsync

          public OpenOptions setDsync(boolean dsync)

      Set whether every write to the file's content ill be written synchronously to the underlying hardware.
      Parameters:
        `dsync` - true if sync
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2016. All rights reserved.